# sf::Font Class Reference

Font is the low-level class for loading and manipulating character fonts. More...

`#include <Font.hpp>`

Inheritance diagram for sf::Font:

List of all members.

## Public Member Functions

| Font ()
| Default constructor.
bool | LoadFromFile (const std::string &Filename, unsigned int CharSize=30, const Unicode::Text &Charset=ourDefaultCharset)
| Load the font from a file.
bool | LoadFromMemory (const char *Data, std::size_t SizeInBytes, unsigned int CharSize=30, const Unicode::Text &Charset=ourDefaultCharset)
| Load the font from a file in memory.
unsigned int | GetCharacterSize () const
| Get the base size of characters in the font; All glyphs dimensions are based on this value.
const Glyph & | GetGlyph (Uint32 CodePoint) const
| Get the description of a glyph (character) given by its unicode value.
const Image & | GetImage () const
| Get the image containing the rendered characters (glyphs).

## Static Public Member Functions

static const Font & | GetDefaultFont ()
| Get the SFML default built-in font (Arial).

## Detailed Description

Font is the low-level class for loading and manipulating character fonts.

This class is meant to be used by sf::String

Definition at line 54 of file Font.hpp.

## Constructor & Destructor Documentation

sf::Font::Font | ( |  | ) |

Default constructor.

Definition at line 64 of file Font.cpp.

## Member Function Documentation

unsigned int sf::Font::GetCharacterSize | ( |  | ) | const

Get the base size of characters in the font; All glyphs dimensions are based on this value.

Get the base size of characters in the font; All glyphs dimensions are based on this value.

Returns:
  Base size of characters

Definition at line 120 of file Font.cpp.

const Font & sf::Font::GetDefaultFont | ( |  | ) | `[static]`

Get the SFML default built-in font (Arial).

Returns:
  Instance of the default font

Definition at line 159 of file Font.cpp.

const Glyph & sf::Font::GetGlyph | ( | Uint32 | CodePoint | ) | const

Get the description of a glyph (character) given by its unicode value.

Get the description of a glyph (character) given by its unicode value.

Parameters:

  | CodePoint | : Unicode value of the character to get

Returns:
  Glyph's visual settings, or an invalid glyph if character not found

Definition at line 130 of file Font.cpp.

const Image & sf::Font::GetImage | ( |  | ) | const

Get the image containing the rendered characters (glyphs).

Returns:
  Image containing glyphs

Definition at line 150 of file Font.cpp.

bool sf::Font::LoadFromFile | ( | const std::string & | Filename,
|  | unsigned int | CharSize = `30`,
|  | const Unicode::Text & | Charset = `ourDefaultCharset` |
| ) |  |  |

Load the font from a file.

Parameters:

  | Filename | : Font file to load
  | CharSize | : Size of characters in bitmap - the bigger, the higher quality (30 by default)
  | Charset | : Characters set to generate (by default, contains the ISO-8859-1 printable characters)

Returns:
  True if loading was successful

Definition at line 74 of file Font.cpp.

bool sf::Font::LoadFromMemory | ( | const char * | Data,
|  | std::size_t | SizeInBytes,
|  | unsigned int | CharSize = `30`,
|  | const Unicode::Text & | Charset = `ourDefaultCharset` |
| ) |  |  |

Load the font from a file in memory.

Parameters:

  | Data | : Pointer to the data to load
  | SizeInBytes | : Size of the data, in bytes
  | CharSize | : Size of characters in bitmap - the bigger, the higher quality (30 by default)
  | Charset | : Characters set to generate (by default, contains the ISO-8859-1 printable characters)

Returns:
  True if loading was successful

Definition at line 93 of file Font.cpp.

The documentation for this class was generated from the following files:

- Font.hpp
- Font.cpp